package cn.efunbox.audio.controller.res;

import cn.efunbox.audio.entity.res.ResAlbum;
import cn.efunbox.audio.page.ResOnePage;
import cn.efunbox.audio.service.res.ResAlbumService;
import cn.efunbox.audio.utils.ResApiResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping
public class ResAlbumController {

    @Autowired
    ResAlbumService resAlbumService;

    @RequestMapping(value = "/getTypeContentList")
    public ResApiResult<ResOnePage<ResAlbum>> getResCategoryList(@RequestHeader(value = "USERID",required = false) String USERID, @RequestParam(name="typeId") String typeId, @RequestParam(name="pageNum") int pageNum, @RequestParam(name="pageSize") int pageSize){
        return resAlbumService.getResAlbumList(typeId,pageNum,pageSize);
    }
}
